From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/python-language-server/
Date: Thu, 17 Dec 2020 00:18:31 +0000 (UTC) [thread overview]
Message-ID: <1608164301.8178ae0fa18b335b706966b9f421ac444666e2a6.mattst88@gentoo> (raw)
commit: 8178ae0fa18b335b706966b9f421ac444666e2a6
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Wed Dec 16 20:14:43 2020 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu Dec 17 00:18:21 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8178ae0f
dev-python/python-language-server: version bump 0.36.2
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Closes: https://github.com/gentoo/gentoo/pull/18684
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
dev-python/python-language-server/Manifest | 1 +
.../python-language-server-0.36.2.ebuild | 69 ++++++++++++++++++++++
2 files changed, 70 insertions(+)
diff --git a/dev-python/python-language-server/Manifest b/dev-python/python-language-server/Manifest
index 00ae8568c06..88402b8e7ed 100644
--- a/dev-python/python-language-server/Manifest
+++ b/dev-python/python-language-server/Manifest
@@ -1,3 +1,4 @@
DIST python-language-server-0.34.1.tar.gz 70238 BLAKE2B 55ec41875907bb6c09f682c8ce6165e7e2fab5d03c3d4758bcbe658968aeeee7f0316a472efe68ddd87872b0e2d34908c8a7e9528aa5eec6d3359b2565a2cbbc SHA512 12404753f4271ec3606cee535ba8e886037bf0c61cc5c4415358066be837e2248f6393124340551387cba7351dee924b4f5ebc9c4e35b1ab0943067968967a90
DIST python-language-server-0.35.1.tar.gz 72944 BLAKE2B fe469e5365dec4a2192a2ca2f75fc9f05476434c0f6db26d851521149053455b256678ed98c5f1209d30b262808b615a3f7ac77fb604adf1455203e40f93c96f SHA512 278f281c8c82729ad60db2785b3f4b64568de529edb7a6f1b5683d09838ea43ed79182c50e42210e766b9a3f3c10b0c0256121b9925803c45f9e948f144ca994
DIST python-language-server-0.36.1.tar.gz 74524 BLAKE2B 3337bf4c91204302b26b2496bc79ae6e0c18143f89ef97861dd91760b27406eba8fc9895a2f00c5c2de3a990eeb8ba29ba10319262466a42b1fb362af809060f SHA512 4a8150cf1334e9b2085e9b4ca7165404f30127339bd0fe8db229924c67933bfcd7827a875136b1694a82d4f447255862df116bc6d74a51df8e1ed82a6875914b
+DIST python-language-server-0.36.2.tar.gz 74499 BLAKE2B 0bf950e236f8f898c3158afc2b3355948340639b607f474654b0334d484170a210b6e81c7508f12368223ae9915ccf19f76a1bcde41503230d8c008ba0818b47 SHA512 ee909d9332ef76c616d727ebfa36e80fd03ab57df8fc57265de21f0105cc0b64a518b2a8a582f88364d03a7d2a66e1030bcf5b3452ad3a891a3141da9b338373
diff --git a/dev-python/python-language-server/python-language-server-0.36.2.ebuild b/dev-python/python-language-server/python-language-server-0.36.2.ebuild
new file mode 100644
index 00000000000..a7b107e2369
--- /dev/null
+++ b/dev-python/python-language-server/python-language-server-0.36.2.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1 optfeature
+
+DESCRIPTION="An implementation of the Language Server Protocol for Python"
+HOMEPAGE="https://github.com/palantir/python-language-server"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+BDEPEND="dev-python/versioneer[${PYTHON_USEDEP}]
+ test? (
+ dev-python/autopep8[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ >=dev-python/flake8-3.8.0[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ >=dev-python/mccabe-0.6.0[${PYTHON_USEDEP}]
+ <dev-python/mccabe-0.7.0[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ >=dev-python/pycodestyle-2.6.0[${PYTHON_USEDEP}]
+ <dev-python/pycodestyle-2.7.0[${PYTHON_USEDEP}]
+ >=dev-python/pydocstyle-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyflakes-2.2.0[${PYTHON_USEDEP}]
+ <dev-python/pyflakes-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/pylint-2.5.0[${PYTHON_USEDEP}]
+ dev-python/QtPy[gui,testlib,${PYTHON_USEDEP}]
+ >=dev-python/rope-0.10.5[${PYTHON_USEDEP}]
+ dev-python/yapf[${PYTHON_USEDEP}]
+)"
+
+RDEPEND="
+ >=dev-python/jedi-0.17.2[${PYTHON_USEDEP}]
+ <dev-python/jedi-0.18.0[${PYTHON_USEDEP}]
+ dev-python/pluggy[${PYTHON_USEDEP}]
+ >=dev-python/python-jsonrpc-server-0.4.0[${PYTHON_USEDEP}]
+ >=dev-python/ujson-3[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # remove pytest-cov dep
+ sed -i -e '0,/addopts/I!d' setup.cfg || die
+
+ distutils-r1_python_prepare_all
+}
+
+pkg_postinst() {
+ elog "To get additional features, optional runtime dependencies may be installed:"
+ optfeature "Automatically formats Python code to conform to the PEP 8 style guide" dev-python/autopep8
+ optfeature "A wrapper around PyFlakes, pep8 & mccabe" dev-python/flake8
+ optfeature "flake8 plugin: McCabe complexity checker" dev-python/mccabe
+ optfeature "Python style guide checker (fka pep8)" dev-python/pycodestyle
+ optfeature "Python docstring style checker" dev-python/pydocstyle
+ optfeature "Passive checker for Python programs" dev-python/pyflakes
+ optfeature "Python code static checker" dev-python/pylint
+ optfeature "Python refactoring library" dev-python/rope
+ optfeature "A formatter for Python files" dev-python/yapf
+}
next reply other threads:[~2020-12-17 0:18 UTC|newest]
Thread overview: 31+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-12-17 0:18 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-05-19 7:11 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-language-server/ Michał Górny
2021-05-19 0:19 Sam James
2021-01-18 19:06 Michał Górny
2021-01-18 17:43 Sam James
2021-01-18 12:09 Michał Górny
2020-12-20 20:34 Michał Górny
2020-12-20 16:30 Thomas Deutschmann
2020-12-19 19:36 Sam James
2020-12-17 0:18 Matt Turner
2020-11-17 14:21 Joonas Niilola
2020-11-17 14:21 Joonas Niilola
2020-11-15 7:18 Joonas Niilola
2020-11-13 18:35 Thomas Deutschmann
2020-11-05 1:39 Matt Turner
2020-10-16 13:26 Joonas Niilola
2020-10-13 18:06 Sam James
2020-10-07 18:44 Joonas Niilola
2020-09-23 4:54 Matt Turner
2020-08-19 22:50 Matt Turner
2020-07-28 19:19 Matt Turner
2020-07-17 4:14 Matt Turner
2020-05-26 20:43 Matt Turner
2020-05-04 12:34 Michał Górny
2020-03-27 16:25 Joonas Niilola
2020-02-25 14:51 Joonas Niilola
2020-02-25 14:51 Joonas Niilola
2020-02-15 20:43 Matt Turner
2020-01-29 6:14 Joonas Niilola
2020-01-15 11:52 Joonas Niilola
2020-01-15 11:52 Joonas Niilola
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1608164301.8178ae0fa18b335b706966b9f421ac444666e2a6.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox